[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Graph' (#rtl)

# FillEllipse

Draw and fill an ellipse

## Declaration

Source position: graphh.inc line 807

`procedure FillEllipse(`
`X: SmallInt;`
`Y: SmallInt;`
`XRadius: Word;`
`YRadius: Word`
`);`

## Description

Ellipse draws an ellipse with center at (X,Y). XRadius and Yradius are the horizontal and vertical radii of the ellipse. The ellipse is filled with the current color and fill-style.

## Errors

None.

## See also

Arc |  | Draw part of a circle
Circle |  | Draw a complete circle
GetArcCoords |  | Return coordinates of last drawn arc or ellipse.
PieSlice |  | Draw a pie-slice
Sector |  | Draw and fill a sector of an ellipse

Documentation generated on: Feb 26 2014